[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpExit

Exit the current process

## Declaration

Source position: bunxh.inc line 68

`procedure FpExit(`
`Status: cint`
`);`

## Description

FpExit exits the currently running process, and report Status as the exit status.

Remark: | If this call is executed, the normal unit finalization code will not be executed. This may lead to unexpected errors and stray files on your system. It is therefore recommended to use the Halt call instead.

## Errors

None.

## See also

FpFork |  | Create child process
FpExecve |  | Execute process using environment

Documentation generated on: Feb 26 2014